#!/bin/bash
set -e
something_is_mounted_at() {
  grep -q " $1/\? " /proc/mounts
}

if [[ $EUID -ne 0 ]]
then
  echo "Du bist nicht ROOT ... verwende \"sudo bash $0\" !"
  exit 2
fi

mkdir -p /target

if ! something_is_mounted_at /target
then
  if [ -n "$1" ]
  then                        
    mount "$1" /target
  else
    echo "Nothing mounted at /target. Give filesystem to mount as parameter #1"
	exit 1
  fi
fi
something_is_mounted_at /target/dev  || mount --rbind /dev /target/dev
something_is_mounted_at /target/sys  || mount --bind /sys /target/sys
something_is_mounted_at /target/proc || mount --bind /proc /target/proc

debian_chroot=TARGET chroot /target /bin/bash -l || true

echo -e "\n*************************************"
echo -e   "*                                   *"
echo -e   "*     You are out of CHROOT now!    *"
echo -e   "*                                   *"
echo -e   "*************************************"
#end;
